rts: Disable -hb with multiple capabilities
ClosedPublic

Authored by bgamari on Sep 5 2016, 4:49 PM.

Details

Summary

Biographical profiling is not thread-safe as documented in Trac #12019. Throw
an error when it is used in this way.

Test Plan

Validate

Diff Detail

bgamari updated this revision to Diff 8657.Sep 5 2016, 4:49 PM
bgamari retitled this revision from to rts: Disable -hb with multiple capabilities.
bgamari updated this object.
bgamari edited the test plan for this revision. (Show Details)
bgamari added reviewers: simonmar, erikd.
bgamari updated the Trac tickets for this revision.
erikd accepted this revision.Sep 6 2016, 4:07 AM
erikd edited edge metadata.

Seems legit!

This revision is now accepted and ready to land.Sep 6 2016, 4:07 AM
This revision was automatically updated to reflect the committed changes.
carter added a subscriber: carter.Sep 18 2016, 8:18 PM

I had to revert this patch / change set on OSX to get my build to succeed.

rts/ProfHeap.c: In function 'initHeapProfiling':

rts/ProfHeap.c:389:49: error:
     error: 'PAR_FLAGS {aka struct _PAR_FLAGS}' has no member named 'nCapabilities'
         if (doingLDVProfiling() && RtsFlags.ParFlags.nCapabilities > 1) {
                                                     ^